-----------------------------------------------------------------------------

-- global Aloft locale "table-of-metatables"; this is allocated once here
DisplacedEnergyWatcherLocale = { }

-----------------------------------------------------------------------------

local L = { }

-----------------------------------------------------------------------------

-- Leave enUS locale active as default locale

--[[ enUS ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ enUS ]] L["Enable"] = "Enable"
--[[ enUS ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ enUS ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ enUS ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ enUS ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ enUS ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ enUS ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ enUS ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ enUS ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ enUS ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ enUS ]] L["Chat Frame"] = "Chat Frame"
--[[ enUS ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ enUS ]] L["ChatFrame1"] = "ChatFrame1"
--[[ enUS ]] L["ChatFrame2"] = "ChatFrame2"
--[[ enUS ]] L["ChatFrame3"] = "ChatFrame3"
--[[ enUS ]] L["ChatFrame4"] = "ChatFrame4"
--[[ enUS ]] L["ChatFrame5"] = "ChatFrame5"
--[[ enUS ]] L["ChatFrame6"] = "ChatFrame6"
--[[ enUS ]] L["ChatFrame7"] = "ChatFrame7"
--[[ enUS ]] L["None"] = "None"

-- combat log name of the boss
--[[ enUS ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ enUS ]] L["GET AWAY"] = "GET AWAY"
--[[ enUS ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ enUS ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ enUS ]] L["STOP IT"] = "STOP IT"
--[[ enUS ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

local locale = GetLocale()

-----------------------------------------------------------------------------

if (locale == "esES") then

-----------------------------------------------------------------------------

--[[ esES ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ esES ]] L["Enable"] = "Enable"
--[[ esES ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ esES ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ esES ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ esES ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ esES ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ esES ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ esES ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ esES ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ esES ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ esES ]] L["Chat Frame"] = "Chat Frame"
--[[ esES ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ esES ]] L["ChatFrame1"] = "ChatFrame1"
--[[ esES ]] L["ChatFrame2"] = "ChatFrame2"
--[[ esES ]] L["ChatFrame3"] = "ChatFrame3"
--[[ esES ]] L["ChatFrame4"] = "ChatFrame4"
--[[ esES ]] L["ChatFrame5"] = "ChatFrame5"
--[[ esES ]] L["ChatFrame6"] = "ChatFrame6"
--[[ esES ]] L["ChatFrame7"] = "ChatFrame7"
--[[ esES ]] L["None"] = "None"

-- combat log name of the boss
--[[ esES ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ esES ]] L["GET AWAY"] = "GET AWAY"
--[[ esES ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ esES ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ esES ]] L["STOP IT"] = "STOP IT"
--[[ esES ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

elseif (locale == "frFR") then

-----------------------------------------------------------------------------

--[[ frFR ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ frFR ]] L["Enable"] = "Enable"
--[[ frFR ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ frFR ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ frFR ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ frFR ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ frFR ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ frFR ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ frFR ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ frFR ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ frFR ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ frFR ]] L["Chat Frame"] = "Chat Frame"
--[[ frFR ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ frFR ]] L["ChatFrame1"] = "ChatFrame1"
--[[ frFR ]] L["ChatFrame2"] = "ChatFrame2"
--[[ frFR ]] L["ChatFrame3"] = "ChatFrame3"
--[[ frFR ]] L["ChatFrame4"] = "ChatFrame4"
--[[ frFR ]] L["ChatFrame5"] = "ChatFrame5"
--[[ frFR ]] L["ChatFrame6"] = "ChatFrame6"
--[[ frFR ]] L["ChatFrame7"] = "ChatFrame7"
--[[ frFR ]] L["None"] = "None"

-- combat log name of the boss
--[[ frFR ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ frFR ]] L["GET AWAY"] = "GET AWAY"
--[[ frFR ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ frFR ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ frFR ]] L["STOP IT"] = "STOP IT"
--[[ frFR ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

elseif (locale == "ruRU") then

-----------------------------------------------------------------------------

--[[ ruRU ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ ruRU ]] L["Enable"] = "Enable"
--[[ ruRU ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ ruRU ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ ruRU ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ ruRU ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ ruRU ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ ruRU ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ ruRU ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ ruRU ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ ruRU ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ ruRU ]] L["Chat Frame"] = "Chat Frame"
--[[ ruRU ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ ruRU ]] L["ChatFrame1"] = "ChatFrame1"
--[[ ruRU ]] L["ChatFrame2"] = "ChatFrame2"
--[[ ruRU ]] L["ChatFrame3"] = "ChatFrame3"
--[[ ruRU ]] L["ChatFrame4"] = "ChatFrame4"
--[[ ruRU ]] L["ChatFrame5"] = "ChatFrame5"
--[[ ruRU ]] L["ChatFrame6"] = "ChatFrame6"
--[[ ruRU ]] L["ChatFrame7"] = "ChatFrame7"
--[[ ruRU ]] L["None"] = "None"

-- combat log name of the boss
--[[ ruRU ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ ruRU ]] L["GET AWAY"] = "GET AWAY"
--[[ ruRU ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ ruRU ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ ruRU ]] L["STOP IT"] = "STOP IT"
--[[ ruRU ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

elseif (locale == "koKR") then

-----------------------------------------------------------------------------

--[[ koKR ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ koKR ]] L["Enable"] = "Enable"
--[[ koKR ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ koKR ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ koKR ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ koKR ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ koKR ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ koKR ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ koKR ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ koKR ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ koKR ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ koKR ]] L["Chat Frame"] = "Chat Frame"
--[[ koKR ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ koKR ]] L["ChatFrame1"] = "ChatFrame1"
--[[ koKR ]] L["ChatFrame2"] = "ChatFrame2"
--[[ koKR ]] L["ChatFrame3"] = "ChatFrame3"
--[[ koKR ]] L["ChatFrame4"] = "ChatFrame4"
--[[ koKR ]] L["ChatFrame5"] = "ChatFrame5"
--[[ koKR ]] L["ChatFrame6"] = "ChatFrame6"
--[[ koKR ]] L["ChatFrame7"] = "ChatFrame7"
--[[ koKR ]] L["None"] = "None"

-- combat log name of the boss
--[[ koKR ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ koKR ]] L["GET AWAY"] = "GET AWAY"
--[[ koKR ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ koKR ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ koKR ]] L["STOP IT"] = "STOP IT"
--[[ koKR ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

elseif (locale == "zhCN") then

-----------------------------------------------------------------------------

--[[ zhCN ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ zhCN ]] L["Enable"] = "Enable"
--[[ zhCN ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ zhCN ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ zhCN ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ zhCN ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ zhCN ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ zhCN ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ zhCN ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ zhCN ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ zhCN ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ zhCN ]] L["Chat Frame"] = "Chat Frame"
--[[ zhCN ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ zhCN ]] L["ChatFrame1"] = "ChatFrame1"
--[[ zhCN ]] L["ChatFrame2"] = "ChatFrame2"
--[[ zhCN ]] L["ChatFrame3"] = "ChatFrame3"
--[[ zhCN ]] L["ChatFrame4"] = "ChatFrame4"
--[[ zhCN ]] L["ChatFrame5"] = "ChatFrame5"
--[[ zhCN ]] L["ChatFrame6"] = "ChatFrame6"
--[[ zhCN ]] L["ChatFrame7"] = "ChatFrame7"
--[[ zhCN ]] L["None"] = "None"

-- combat log name of the boss
--[[ zhCN ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ zhCN ]] L["GET AWAY"] = "GET AWAY"
--[[ zhCN ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ zhCN ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ zhCN ]] L["STOP IT"] = "STOP IT"
--[[ zhCN ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

elseif (locale == "zhTW") then

-----------------------------------------------------------------------------

--[[ zhTW ]] L["DisplacedEnergyWatcher"] = "DisplacedEnergyWatcher"

--[[ zhTW ]] L["Enable"] = "Enable"
--[[ zhTW ]] L["Enable DisplacedEnergyWatcher"] = "Enable DisplacedEnergyWatcher"
--[[ zhTW ]] L["Displaced Energy Affliction"] = "Displaced Energy Affliction"
--[[ zhTW ]] L["Warn about Displaced Energy debuff affliction"] = "Warn about Displaced Energy debuff affliction"
--[[ zhTW ]] L["Displaced Energy Damage"] = "Displaced Energy Damage"
--[[ zhTW ]] L["Warn about Displaced Energy debuff damage from afflicted players too close to the raid"] = "Warn about Displaced Energy debuff damage from afflicted players too close to the raid"
--[[ zhTW ]] L["Displaced Energy Dispels"] = "Displaced Energy Dispels"
--[[ zhTW ]] L["Warn about Displaced Energy debuff dispels too close to the raid"] = "Warn about Displaced Energy debuff dispels too close to the raid"

--[[ zhTW ]] L["Whisper Offending Player"] = "Whisper Offending Player"
--[[ zhTW ]] L["Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"] = "Whisper offending player, in addition to normal output; PLEASE use with caution, multiple players may be using this addon, which will flood the player with messages"
--[[ zhTW ]] L["Chat Frame"] = "Chat Frame"
--[[ zhTW ]] L["Also send to the specified chat frame"] = "Also send to the specified chat frame"

--[[ zhTW ]] L["ChatFrame1"] = "ChatFrame1"
--[[ zhTW ]] L["ChatFrame2"] = "ChatFrame2"
--[[ zhTW ]] L["ChatFrame3"] = "ChatFrame3"
--[[ zhTW ]] L["ChatFrame4"] = "ChatFrame4"
--[[ zhTW ]] L["ChatFrame5"] = "ChatFrame5"
--[[ zhTW ]] L["ChatFrame6"] = "ChatFrame6"
--[[ zhTW ]] L["ChatFrame7"] = "ChatFrame7"
--[[ zhTW ]] L["None"] = "None"

-- combat log name of the boss
--[[ zhTW ]] L["Malkorok"] = "Malkorok"

-- warning messages
--[[ zhTW ]] L["GET AWAY"] = "GET AWAY"
--[[ zhTW ]] L["AFFLICTED with Displaced Energy!!!"] = "AFFLICTED with Displaced Energy!!!"
--[[ zhTW ]] L["Displaced Energy is DAMAGING OTHERS!!!"] = "Displaced Energy is DAMAGING OTHERS!!!"

--[[ zhTW ]] L["STOP IT"] = "STOP IT"
--[[ zhTW ]] L["DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"] = "DISPELLED Displaced Energy TOO CLOSE TO OTHERS!!!"

-----------------------------------------------------------------------------

end

-----------------------------------------------------------------------------

-- TODO: need to rationalize this with the metatable that AloftOptions creates
DisplacedEnergyWatcherLocale.DisplacedEnergyWatcher = setmetatable(L, { __index = function(t, k) rawset(t, k, k) error("DisplacedEnergyWatcher: No translation found for '" .. k .. "'") return k end })
L = nil